

<div class="content-wrapper">



<section class="content-header">

  <h1>

    Grupo de Usuarios

    <small>modulo</small>

  </h1>

  <ol class="breadcrumb">

    <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>

    <li><a href="#">Mantenimiento</a></li>

    <li class="active"> Grupo de Usuarios</li>

  </ol>

</section>

<section class="content" style="min-height:0px;padding-bottom:0px;margin-bottom:-30px;">

	<div class="row">

	    <div class="col-xs-12">

		    <div class="box">

		        <div class="box-header">

		          <button id="btn_agregar" onClick="usuariogrupo_form('insertar')" class="btn btn-primary">Agregar</button>

		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>		         

		        </div>

		    </div>

		</div>

	</div>

</section>





<!-- formulario de registro -->

			<div class="modal fade" id="div_usuariogrupo_form_dialog" role="dialog" data-keyboard="true" tabindex="-1"  style="padding:0px;">

			<div class="modal-dialog "  role="document" >



			<div class="modal-content">



			<div class="modal-body div_usuariogrupo_form" >



			</div>

			<br />

			<br />

			</div>

			</div>

			</div>

			

		<!-- tabla de registros -->	

		<div id="div_usuariogrupo_tabla"></div>





</div>



<script type="text/javascript">



function usuariogrupo_tabla()

{	

	$.ajax({

		type: "POST",

		url: "../usuariogrupo/usuariogrupo_tabla.php",

		async:true,

		dataType: "html",                      

		// data: ({

		// 	 catimg_id: $("#hdd_catimg_id").val()		

		// }),

		beforeSend: function() {

			$('#div_usuariogrupo_tabla').addClass("ui-state-disabled");

        },

		success: function(html){			

			$('#div_usuariogrupo_tabla').html(html);

		},

		complete: function(){			

			$('#div_usuariogrupo_tabla').removeClass("ui-state-disabled");

		}

	});     

}





function usuariogrupo_form(act,idf)

{

	$('#div_usuariogrupo_form_dialog').modal();

	$.ajax({

		type: "POST",

		url: "../usuariogrupo/usuariogrupo_form.php",

		async:true,

		dataType: "html",

		data:({

			action: act,

			usugru_id: idf,

			vista: 'usuariogrupo_tabla'

		}),

		beforeSend: function(){

			var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";	

			$('.div_usuariogrupo_form').html(div);

		},

		success: function(html){

			$('.div_usuariogrupo_form').html(html);



		}				

	});

}



function usuariogrupo_eliminar(id)

{   

	

	if(confirm("Realmente desea eliminar?")){

		$.ajax({

			type: "POST",

			url: "../usuariogrupo/usuariogrupo_reg.php",

			async:true,

			dataType: "html",

			data: ({

				action: "eliminar",

				usugru_id:		id

			}),

			beforeSend: function() {

				

			},

			success: function(html){

				toastr["success"](html);

			},

			complete: function(){		

				usuariogrupo_tabla();

			}

		});

	}

}





$(function() {

	

	$('#btn_actualizar').click(function() {

		$("#content").load("../usuariogrupo/usuariogrupo_vista.php");

	});



	usuariogrupo_tabla(); 



	setTitle("GRUPO DE USUARIOS - "+nombreEmpresa);

});



</script>